Sophie

Sophie

distrib > Mandriva > 2009.0 > i586 > by-pkgid > 2ca64883d37c4f134813e4790ec0b329 > files > 1

chrony-1.23-3mdv2009.0.src.rpm

diff -Naur chrony-1.19/chrony.conf chrony-1.19.new/chrony.conf
--- chrony-1.19/chrony.conf	1970-01-01 01:00:00.000000000 +0100
+++ chrony-1.19.new/chrony.conf	2003-01-20 13:56:26.000000000 +0100
@@ -0,0 +1,8 @@
+server x.x.x.x offline
+keyfile /etc/chrony.keys
+commandkey 1
+driftfile /etc/chrony.drift
+logdir /var/log/chrony
+log statistics measurements tracking rtc
+rtcfile /etc/chrony.rtc
+rtconutc
diff -Naur chrony-1.19/chronyd.init chrony-1.19.new/chronyd.init
--- chrony-1.19/chronyd.init	1970-01-01 01:00:00.000000000 +0100
+++ chrony-1.19.new/chronyd.init	2003-01-20 13:56:26.000000000 +0100
@@ -0,0 +1,56 @@
+#! /bin/sh
+#
+# chronyd             Support for NTP . 
+#
+# chkconfig: 345 97 13
+# description: Chrony is a implementation of NTP that support disconnected
+#              operation
+# 
+# processname: chronyd
+# config: /etc/chrony.conf
+# config: /etc/chrony.keys
+
+# Get config.
+. /etc/sysconfig/network
+
+# Get functions
+. /etc/rc.d/init.d/functions
+
+# Check that networking is up.
+if [ ${NETWORKING} = "no" ]
+then
+	exit 0
+fi
+
+# See how we were called.
+case "$1" in
+  start)
+	echo -n "Starting chrony services: "
+	daemon chronyd
+
+	echo
+	touch /var/lock/subsys/chronyd
+	;;
+  stop)
+	echo -n "Stopping chrony services: "
+	killproc chronyd
+
+	echo
+	rm -f /var/lock/subsys/chronyd
+	;;
+  status)
+	status chronyd
+	;;
+  restart)
+	$0 stop
+       echo -n "Starting chrony services: "
+	daemon chronyd
+	echo
+	touch /var/lock/subsys/chronyd
+	;;
+  *)
+	echo "Usage: chronyd {start|stop|status|restart}"
+	exit 1
+esac
+
+exit 0
diff -Naur chrony-1.19/chrony.keys chrony-1.19.new/chrony.keys
--- chrony-1.19/chrony.keys	1970-01-01 01:00:00.000000000 +0100
+++ chrony-1.19.new/chrony.keys	2003-01-20 13:56:26.000000000 +0100
@@ -0,0 +1 @@
+1 test1
diff -Naur chrony-1.19/chrony.log chrony-1.19.new/chrony.log
--- chrony-1.19/chrony.log	1970-01-01 01:00:00.000000000 +0100
+++ chrony-1.19.new/chrony.log	2003-01-20 13:56:26.000000000 +0100
@@ -0,0 +1,12 @@
+/var/log/chrony/measurements.log {
+    nocompress
+}
+/var/log/chrony/statistics.log {
+    nocompress
+}
+/var/log/chrony/tracking.log {
+    nocompress
+}
+/var/log/chrony/rtc.log {
+    nocompress
+}
diff -Naur chrony-1.19/getdate.c chrony-1.19.new/getdate.c
--- chrony-1.19/getdate.c	1998-02-02 08:24:44.000000000 +0100
+++ chrony-1.19.new/getdate.c	2003-01-20 13:56:26.000000000 +0100
@@ -54,6 +54,8 @@
 
 #include <stdio.h>
 #include <ctype.h>
+#include <string.h>
+#include <stdlib.h>
 
 #if defined (STDC_HEADERS) || (!defined (isascii) && !defined (HAVE_ISASCII))
 # define IN_CTYPE_DOMAIN(c) 1
diff -Naur chrony-1.19/Makefile.in chrony-1.19.new/Makefile.in
--- chrony-1.19/Makefile.in	2003-01-13 00:18:48.000000000 +0100
+++ chrony-1.19.new/Makefile.in	2003-01-20 13:56:23.000000000 +0100
@@ -89,6 +89,9 @@
 	sed -e 's/[$$]Name: \(.*\) [$$]/\1/;' < version.txt > version.h
 
 
+info:
+	-makeinfo chrony.texi
+
 # For install, don't use the install command, because its switches
 # seem to vary between systems.
 
diff -Naur chrony-1.19/README.rh chrony-1.19.new/README.rh
--- chrony-1.19/README.rh	1970-01-01 01:00:00.000000000 +0100
+++ chrony-1.19.new/README.rh	2003-01-20 13:56:26.000000000 +0100
@@ -0,0 +1,46 @@
+This document describes setup of chrony on a Redhat system (the specific
+configuration chosen for this setup).  The user should read the documentation
+in /usr/doc/chrony (especially the info files) for specific information
+about chrony.
+
+The configuration file is in /etc/chrony.conf and looks like:
+
+    server x.x.x.x offline
+    keyfile /etc/chrony.keys
+    commandkey 1
+    driftfile /etc/chrony.drift
+    logdir /var/log/chrony
+    log statistics measurements tracking rtc
+    rtcfile /etc/chrony.rtc
+    rtconutc
+
+You should replace the "x.x.x.x" with your NTP server and add new NTP
+servers to this file as necessary.  Remove the "offline" parameter if
+you are on a direct connection (not a dialin).  If you are dialing in,
+see below for more info.
+
+The password in the keyfile is currently "test1".  You should probably
+change this.
+The last line assumes your clock is on UTC time. Remove it if you use 
+local time.
+
+If you are dialing in, you must adjust your startup files to handles
+this.  I use PPP, so that is all I know about.  If you use PPP, add
+the following to your /etc/ppp/ip-up.local, changing the password to
+what you have chosen:
+
+    cat <<EOF | /usr/bin/chronyc
+    password test1
+    online
+    EOF
+
+and add the following to your /etc/ppp/ip-down.local:
+
+    cat <<EOF | /usr/bin/chronyc
+    password test1
+    offline
+    writertc
+    EOF
+
+
+Corey Minyard <minyard@acm.org>